Changes
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/changes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"changes": [
{
"key": "images",
"items": [
{
"id": "67748b492efbf3b41d929068",
"action": "added",
"time": "2025-01-01 00:24:41 UTC",
"iso_639_1": "",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg"
}
}
},
{
"id": "67748b55fbe3722a986199d6",
"action": "updated",
"time": "2025-01-01 00:24:53 UTC",
"iso_639_1": "fr",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg",
"iso_639_1": "fr"
}
},
"original_value": {
"poster": {
"file_path": "/l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg",
"iso_639_1": null
}
}
},
{
"id": "67752ce96234c1b46f61903c",
"action": "added",
"time": "2025-01-01 11:54:17 UTC",
"iso_639_1": "",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/oYn2r1ObQnFLgiEh7aDmY353dQo.jpg"
}
}
}
]
},
{
"key": "tagline",
"items": [
{
"id": "67748c4b63f90f8f6692aa0d",
"action": "updated",
"time": "2025-01-01 00:28:59 UTC",
"iso_639_1": "fr",
"iso_3166_1": "FR",
"value": {
"primary": false,
"tagline": "Étrange. Confusion. Chaos."
},
"original_value": {
"primary": false,
"tagline": "Chaos. Confusion. Savon."
}
}
]
}
]
}MOVIES
Changes
This endpoint is used to get the recent changes for a movie.
GET
/
movie
/
{movie_id}
/
changes
Changes
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/changes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/changes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/changes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/changes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"changes": [
{
"key": "images",
"items": [
{
"id": "67748b492efbf3b41d929068",
"action": "added",
"time": "2025-01-01 00:24:41 UTC",
"iso_639_1": "",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg"
}
}
},
{
"id": "67748b55fbe3722a986199d6",
"action": "updated",
"time": "2025-01-01 00:24:53 UTC",
"iso_639_1": "fr",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg",
"iso_639_1": "fr"
}
},
"original_value": {
"poster": {
"file_path": "/l5FwaNDvTOHLjS2RK4WcVI7AwgK.jpg",
"iso_639_1": null
}
}
},
{
"id": "67752ce96234c1b46f61903c",
"action": "added",
"time": "2025-01-01 11:54:17 UTC",
"iso_639_1": "",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/oYn2r1ObQnFLgiEh7aDmY353dQo.jpg"
}
}
}
]
},
{
"key": "tagline",
"items": [
{
"id": "67748c4b63f90f8f6692aa0d",
"action": "updated",
"time": "2025-01-01 00:28:59 UTC",
"iso_639_1": "fr",
"iso_3166_1": "FR",
"value": {
"primary": false,
"tagline": "Étrange. Confusion. Chaos."
},
"original_value": {
"primary": false,
"tagline": "Chaos. Confusion. Savon."
}
}
]
}
]
}